Subject: questions

From: Christopher Rose <crose>
Date: Wed, 9 Apr 97 17:59:48 EDT

Dr Rose,

On page 99 of the text,
there is a statement that says :

(roughly in the middle)
o The two longest codewords differ ....
  ....
    ...
  ....
    Now we can exchange the longest lenght codewords so the two lowest prob
  are associated with 2 siblings on the tree. This does not change the expected
  length ....

My question is : how could the reassigment of probability with the codewords
not change the expected length ? Shouldn't it be decreased ?

------------------

Somehow we skipped the proof of the Kraft's infinite source Uniquely decodable.
Did you mentioned that you don't like the proof in the book ?

thanks
*****************

Question 1: the two longest codewords are siblings which
means they are the same length.  Therefore swapping them
changes nothing.

Question 2: The proof is really simple, but it makes me uncomfortable
because you're taking limits when you're not sure they exist.  To
clean is simple. We just show that if the limit approached a number
larger than 1, then there must exist some N for which the finite sum
is greater than 1 (an impossibility owing to Kraft) and we're done.